<?php
/**
 * @package linea21.modules
 * @subpackage yellowpages
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//////////// Check Inclusion de pages //////////// 
if (!function_exists('AuthenthificationProcess')){ 
include_once("../lib/lib_common.php");
ReloadIndex('admin');
}
////////////

include_once("../lib/lib_common.php"); 
$link_det=$rub_link."&amp;todo=det&amp;id="; 
$link_det2=$rub_link."&todo=det&id="; 
$link_sup=$rub_link."&amp;todo=sup&amp;id=";
$link_mod=$rub_link."&amp;todo=mod&amp;id=";

	if(!isset($_GET['id']) && !isset($_POST['id'])) {
	$id="1";
} else {
	if(isset($_POST['id']))	$id=$_POST['id'];
	if(isset($_GET['id']))	$id=$_GET['id'];
}


if(isset($_POST['annuler'])) {
header("Location: ".$link_det2.$_POST['id_yp']);
}

if(isset($_POST['valider'])) {
	$id_yp=$_POST['id_yp'];
	$yp_object= new yellowpages;
	$link_confirm="confirm.php?rub=".$rub."&todo=".$todo;
	$result=$yp_object->DeleteYellowPages($id_yp, $sql_object);
	if($result) header("Location: ".$link_confirm);
	else  system_error();
	}
		
$req_det=SQL_getdetyp($id);
$data_yp=$sql_object->DBSelect($req_det, 'OBJECT');
$navtitle=$GLOBALS['lang']['yp']['sup']." : ".$data_yp[0]->yellowp_name;

$display_title=formatTitleh2($data_yp[0]->yellowp_name);

?>
<div id="chemin">
	<ul>
		<li>
			<a href="index.php"><? echo $GLOBALS['lang']['way']['home'] ?></a>
		</li>
		<li>
			<a href="<?php echo $rub_link; ?>"><? echo $GLOBALS['lang']['menu']['yellowpages']?></a>
		</li>
		<li>
			<span><? echo formatnavTitle($navtitle) ; ?></span>
		</li>
	</ul>
</div>
  <!--end barre haute -->
<?php
include_once("quickicons.php");
?>
<div class="contentcontainer">
<?php
include_once($dir."/menurub.php");
?>
<div id="content">
<?php
if(isset($integrity) && is_string($integrity)) display_errors($integrity);
?>
<h2><? echo $display_title; ?></h2>	

 <form id="supyp" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
	  <div class="info" id="truetransfert1">
   <? echo $GLOBALS['lang']['yp']['sup_yp_warning']; ?>
    </div>
		<div>
		<input name="id_yp" type="hidden" value="<?php echo $id; ?>" />
		<input name="rub" type="hidden" value="<?php echo $rub; ?>" id="rub" />
		<input name="todo" type="hidden" value="<?php echo $todo; ?>" id="todo" />
			<? echo cancel_button($link_det2.$id); ?>
			<input name="valider" type="submit" value="<? echo $GLOBALS['lang']['btn']['valid'] ?>" class="button" id="valider" />
		</div>
		</form>
		<br />
</div>
<?php include_once($dir."/help.php"); ?>
</div>
